#ifndef _TEST_APP
#define _TEST_APP


#include "ofMain.h"

#include "cardManager.h"
#include "cvManager.h"
#include "cardFinder.h"
#include "cardIdentifier.h"
#include "cardTracker.h"

#include "ofxSimpleGui.h"
#include "sceneManager.h"
#include "ofQtVideoSaver.h"

class testApp : public ofSimpleApp{
	
	public:
		
		void setup();
		void update();
		void draw();
		
		void keyPressed(int key);
		void keyReleased(int key);
		void mouseMoved(int x, int y );
		void mouseDragged(int x, int y, int button);
		void mousePressed(int x, int y, int button);
		void mouseReleased();
		
		void loadSettings();
		void saveSettings();
		
		vector <card> cardsFound;
		
		ofxSimpleGui GUI;
		
		cvManager videoCV;
		cardManager cardMan;
		
		cardTracker CT;
		cardIdentifier CI;
		cardFinder CF;
	
		sceneManager SM;
		
		float		threshold;
		float		blob_min;
		float		blob_max;
		bool		useVideo;
		float		videoPct;
		bool		setPct;
		
		bool		debug;
				
		int			whichCard;
		int			numFound;
		
		cardImageSet	cardImage;
	
		card		temp;
	
		bool		bFullScreen;
	
		int countNframesNoCards;
		int scene;
	
		/*
		//this was for ito, movie saving, is useful so stays in commented out
		ofQtVideoSaver		saver;
		bool				bRecording;
		string				movieName;
		int					movieCount;
		 */
	
	
};

#endif	
